Python
import requests
webhook_id = "your-webhook-id"
response = requests.get(
f"https://api.roe-ai.com/webhooks/{webhook_id}/agents/",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
agents = response.json()
for agent in agents:
print(f"Agent: {agent['agent_name']}")const webhookId = "your-webhook-id";
const response = await fetch(
`https://api.roe-ai.com/webhooks/${webhookId}/agents/`,
{ headers: { "Authorization": "Bearer YOUR_API_KEY" } }
);
const agents = await response.json();
console.log(agents);
curl -X GET "https://api.roe-ai.com/webhooks/YOUR_WEBHOOK_ID/agents/" \
-H "Authorization: Bearer YOUR_API_KEY"
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roe-ai.com/webhooks/{webhook_id}/agents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>"
}
]Webhooks
List Webhook Agents
List agents linked to a webhook, or link new agents.
GET: List all agents linked to this webhook POST: Link one or more agents to this webhook
GET
/
webhooks
/
{webhook_id}
/
agents
/
Python
import requests
webhook_id = "your-webhook-id"
response = requests.get(
f"https://api.roe-ai.com/webhooks/{webhook_id}/agents/",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
agents = response.json()
for agent in agents:
print(f"Agent: {agent['agent_name']}")const webhookId = "your-webhook-id";
const response = await fetch(
`https://api.roe-ai.com/webhooks/${webhookId}/agents/`,
{ headers: { "Authorization": "Bearer YOUR_API_KEY" } }
);
const agents = await response.json();
console.log(agents);
curl -X GET "https://api.roe-ai.com/webhooks/YOUR_WEBHOOK_ID/agents/" \
-H "Authorization: Bearer YOUR_API_KEY"
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roe-ai.com/webhooks/{webhook_id}/agents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.
⌘I